<style>
img{margin-bottom:1em;
margin-top:1em}
</style>

# InVivo App - Documentación

## Diseño

En esta sección se define cuantos ratones se van a usar, se genera la plantilla para rellenar con las mediciones y también se puede asignar un grupo homogenizando volúmenes.

El panel de opciones es el siguiente:

![](images/invivo-8.jpg)

- **Hoja de tamaños**: Permite elegir una plantilla con las mediciones basales (día 0 de tratamiento) para la asignación de grupos.
- **Sistema de medida**: elegir entre "L-W-D", "Min-Max" o "Absorvance" en función de si se usarán tres medidas, dos medidas o directamente la absorvancia, respectivamente.
- **Cajas**: cuantas cajas (con los consiguientes ratones) se usarán.
- **Descargar Excel**: botón que sirve tanto para descargar la plantilla vacía como para descargar la plantilla una vez han sido asignados los grupos.

1. Lo primero que se tiene que realizar es elejir el sistema de medida y el número de cajas a utilizar y apretar el botón de "Descargar Excel". Eso descargará una plantilla vacía como la siguiente:
![](images/invivo-9.jpg)
2. En caso de querer asignar los grupos homogenizando volúmenes, tenemos que introducir en "Hoja de tamaños" un excel con lo siguiente:
  2.1 Una pestaña con la plantilla en la que se ha rellenado la primera columna temporal:  
  ![](images/invivo-10.jpg)  
  2.2 Una segunda pestaña en la que se indica en la primera columna los grupos que se van a usar.  
  ![](images/invivo-11.jpg)  
  2.3 Una tercera pestaña (**opcional**) en la que se indica el sexo del animal. Esto permitirá distribuir homogeneamente los sexos entre los grupos.  
  ![](images/invivo-12.jpg)
3. El siguiente paso es cargar el excel y entonces nos aparecen nuevas opciones en el panel lateral y una distribución de los volúmenes a la derecha.  
![](images/invivo-13.jpg)
4. Las barras en el panel lateral de **Corte inferior** y **corte superior** te permiten excluir aquellos tumores que sean demasiado grandes o pequeños.  
![](images/invivo-14.jpg)
5. La barra **Iteraciones** te permite controlar cuantas iteraciones realizará el programa para encontrar las medias y desviaciones estándar de grupo más homogeneas. Por defecto es 100, que suele ser suficiente.  
![](images/invivo-15.jpg)
6. Una vez esté todo a punto, clicar al botón **Selecciona** y el programa encontrará la distribución más óptima, generando resultados para que podamos verificar si nos convence:
  6.1 Unos cuantos gráficos dónde podemos ver la distribución de volúmenes entre los diferentes grupos y también comparar entre los diferentes sexos.  
  ![](images/invivo-16.jpg)
  6.2 Una tabla con las medias y desviaciones estándar de los grupos.  
  ![](images/invivo-17.jpg)
  6.3 Una tabla con la asignación individual de los ratones.
7. Si la distribución nos convence, podemos seleccionar el botón "Descargar Excel" y nos descargará el fichero que hemos subido ya con los grupos asignados.

---

## Análisis

#### Excel de entrada

El excel que debe usarse como entrada para el análisis debe constar de las siguientes columnas:

![](images/invivo-1.jpg)

En rojo están marcadas las que definen la muestra y medida y son obligatorias:

- **Cage**: Caja
- **ID animal**: Número que identifica al ratón.
- **ID tumor**: L o R en función de si es el tumor en lado derecho (R) o izquierdo (L).
- **Group**: grupo de tratamiento.
- **DPV o TS**: medida que luego es usada para calcular el volumen. DPV si sólo se usan dos medidas o TS si se usan tres.

Estas columnas se pueden generar (ya llenas, excepto el grupo si no se usa la función de aleatorización) en la primera pestaña de Diseño.

Las columnas que siguen deben corresponder a los tiempos de medida (en verde).

### Opciones de análisis

El panel que permite interaccionar con el análisis es el siguiente:

![](images/invivo-2.jpg)

- **Hoja de análisis**: botón para subir el excel.
- **Experimento de Vacunación**: indicar si es un experimento de vacunación (y entonces separa por ID de tumor) o si no lo es (todos los tumores son tratados igual).
- **Filtrar estadística**: mostrar sólo la estadística significativa.
- **Usar Incremento de Volumen**: si está activo, en las gráficas se muestra el incremento de volumen respecto a día 0 en vez del valor absoluto.
- **Descargar Volúmenes**: botón para descargar un excel con los volúmenes calculadas en vez de las medidas individuales.

Una vez cargado el fichero de excel, aparece la siguiente opción dónde se puede indicar a partir de qué tamaño se considera fallecimiento del tumor (usado en las curvas de supervivencia).

![](images/invivo-3.jpg)

### Resultados de análisis

#### Ratones

Tabla dónde aparece en número de ratones por grupo en cada punto temporal.

![](images/invivo-4.jpg)

#### Cinéticas

Figuras en las que se muestra el crecimiento de forma agrupada y también de forma individualizada (una línea por ratón).

![](images/invivo-5.jpg)

#### Supervivencia

Curva de supervivencia dónde los ratones fallecidos son los que superan el valor especificado.

![](images/invivo-6.jpg)

#### Estadística

Primero hay una caja dónde se construye un modelo para ver si hay diferencias a nivel de *Timepoints* y a nivel de grupos.

![](images/invivo-7.jpg)

Seguida hay una tabla donde se compara en cada punto temporal los diferentes grupos mediante un Kruskal-Wallis y el dunn-test para las comparaciones individuales.

---

## Exportar

Esta pestaña permite modificar el estilo de las figuras para optimizar su presentación.

En la barra de opciones encontramos:

- **Seleccionar figura**: qué figura queremos exportar. Se puede seleccionar entre "Cinética Grupo", "Cinética Individual" y "Survival".
- **Ancho**: pixeles que ocupa la figura a nivel horizontal.
- **Altura**: pixeles que ocupa la figura a nivel horizontal.
- **Colors**: paleta de colores que sustituye la usada por defecto. Hay que introducir los códigos de los colores separados por una coma.
- **Etiqueta Eje X**: etiqueta personalizada para el eje de las X.
- **Etiqueta Eje Y**: etiqueta personalizada para el eje de las Y.
- **% Ancho errorbars**: Anchura de las barras de error.
- **Tamaño línea**: Grosor de las líneas de crecimiento.
- **Tamaño puntos**: Tamaño de los puntos de volumen.
- **Tamaño textos**:Tamaño de los textos.
- **Escala logarítmica eje Y**: Si está activa, la escala se representa en escala logarítmica.
- **Mostrar llegenda**: si se desactiva, no se representa la leyenda en la figura.
- **Seleccionar Tema**: por defecto "BW", pero se puede seleccionar "Default" y "Classic".
- **Exportar**: Botón que genera un archivo comprimido que contiene la figura en formato png y también en formato objeto de R por si se quiere modificar a posteriori.

#### Ejemplo:

Sin modificar:

![](images/invivo-18.jpg)

Tras modificar el estilo:

![](images/invivo-19.jpg)
